<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Chapter 16: The Standard I/O (stdio) Library</title>
<link href="sx1e.html" rev=precedes>
<link href="sx2a.html" rel=precedes>
<link href="top.html" rev=subdocument>
</head>
<body>
<H1>Chapter 16: The Standard I/O (stdio) Library</H1>

<p>In

chapter 12,
we met several of the functions in C's Standard I/O library
(often called <TT>stdio</TT>,
sometimes pronounced ``studio'',
named after the header file <TT>&lt;stdio.h&gt;</TT>
which declares its routines).
In this chapter,
we'll describe most of the functions and other facilities
available in <TT>&lt;stdio.h&gt;</TT>,
and explain how they're useful.
</p><p>(Note:
this is an uncharacteristically long and complete chapter.
It tries to describe just about <em>all</em> of the Standard I/O library,
including features you aren't likely to be using for a while.
Don't feel you have to understand every word in this
chapter--when
you get to an obscure part,
just skim through it to get an idea of what's available,
and come back and read it again as you have occasion to use the feature.)
</p><p><a href="sx2a.html" rel=subdocument>16.1: Files and Streams</a></p>
<p><a href="sx2b.html" rel=subdocument>16.2: Opening and Closing Files
(<TT>fopen</TT>, <TT>fclose</TT>, etc.)</a></p>
<p><a href="sx2c.html" rel=subdocument>16.3: Character Input and Output
(<TT>getchar</TT>, <TT>putchar</TT>, etc.)</a></p>
<p><a href="sx2d.html" rel=subdocument>16.4: Line Input and Output
(<TT>fgets</TT>, <TT>fputs</TT>, etc.)</a></p>
<p><a href="sx2e.html" rel=subdocument>16.5: Formatted Output
(<TT>printf</TT> and friends)</a></p>
<p><a href="sx2f.html" rel=subdocument>16.6: Formatted Input (<TT>scanf</TT>)</a></p>
<p><a href="sx2g.html" rel=subdocument>16.7: Arbitrary Input and Output
(<TT>fread</TT>, <TT>fwrite</TT>)</a></p>
<p><a href="sx2h.html" rel=subdocument>16.8: <TT>EOF</TT> and Errors</a></p>
<p><a href="sx2i.html" rel=subdocument>16.9: Random Access
(<TT>fseek</TT>, <TT>ftell</TT>, etc.)</a></p>
<p><a href="sx2j.html" rel=subdocument>16.10: File Operations
(<TT>remove</TT>, <TT>rename</TT>, etc.)</a></p>
<p><a href="sx2k.html" rel=subdocument>16.11: Redirection (<TT>freopen</TT>)</a></p>
<hr>
<p>
Read sequentially:
<a href="sx1e.html" rev=precedes>prev</a>
<a href="sx2a.html" rel=precedes>next</a>
<a href="top.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1996-1999
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
